@charset "UTF-8";

.uc-fv-motion--catch {
  animation:
    uc-fv-fade-in 0.8s ease-out 0.1s backwards,
    uc-fv-slide-in-left 0.2s cubic-bezier(0, 0, 0.34, 0.89) 0.1s backwards;
}

.uc-fv-motion--badge {
  animation:
    uc-fv-fade-in 0.8s ease-out 0.3s backwards,
    uc-fv-slide-in-left 0.2s cubic-bezier(0, 0, 0.34, 0.89) 0.3s backwards;
}

.uc-fv__note.uc-fv-motion--note {
  opacity: 0.7;
  animation:
    uc-fv-note-fade-in 0.8s ease-out 0.3s backwards,
    uc-fv-slide-in-left 0.2s cubic-bezier(0, 0, 0.34, 0.89) 0.3s backwards;
}

.uc-fv-motion--person {
  animation: uc-fv-fade-in-up 0.3s ease-out 0.6s backwards;
}

.uc-fv-motion--cm-badge {
  animation: uc-fv-fade-in-up 0.3s ease-out 0.6s backwards;
}

@keyframes uc-fv-fade-in {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@keyframes uc-fv-slide-in-left {
  from {
    transform: translate3d(-50px, 0, 0);
  }

  to {
    transform: translate3d(0, 0, 0);
  }
}

@keyframes uc-fv-note-fade-in {
  from {
    opacity: 0;
  }

  to {
    opacity: 0.7;
  }
}

@keyframes uc-fv-fade-in-up {
  from {
    opacity: 0;
    transform: translate3d(0, 15px, 0);
  }

  to {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
}

@media (max-width: 767.98px) {
  .uc-fv-motion--note {
    animation: none;
  }

  .uc-fv-motion--person-sp {
    animation: uc-fv-fade-in-up 0.3s ease-out 0.6s backwards;
  }
}

@media (prefers-reduced-motion: reduce) {
  .uc-fv-motion--catch {
    animation: none;
  }

  .uc-fv-motion--badge {
    animation: none;
  }

  .uc-fv-motion--note {
    animation: none;
  }

  .uc-fv-motion--person {
    animation: none;
  }

  .uc-fv-motion--person-sp {
    animation: none;
  }

  .uc-fv-motion--cm-badge {
    animation: none;
  }
}
